> For the complete documentation index, see [llms.txt](https://docs.inverse.watch/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inverse.watch/user-guide/queries/query-filters.md).

# Query Filters

Query Filters let you interactively reduce the amount of data shown in your visualizations, similar to Query Parameters but with a few key differences. Query Filters limit data **after** it has been loaded into your browser. This makes them ideal for smaller datasets and environments where query executions are time-consuming, rate-limited, or costly.

### 1. Usage

Unlike Query Parameters there isn’t a button to add a filter. Instead, if you want to focus on a specific value, just alias your column to `<columnName>::filter`. Here’s an example:

```sql
SELECT action AS "action::filter", COUNT(0) AS "actions count"
FROM events
GROUP BY action
```

{% hint style="info" %}
Note that you can use<mark style="background-color:blue;">`__filter`</mark> or <mark style="background-color:blue;">`__multiFilter`</mark>, (double underscore instead of double quotes) if your database doesn’t support :: in column names (such as BigQuery).
{% endhint %}

![](https://redash.io/assets/images/docs/gitbook/filter_example_action_create.png)

If you need a multi-select filter then alias your column to `<columnName>::multi-filter`.

```
SELECT action AS "action::multi-filter", COUNT (0) AS "actions count"
FROM events
GROUP BY action
```

![](https://redash.io/assets/images/docs/gitbook/multifilter_example.png)

You can use Query Filters on dashboards too. By default, the filter widget will appear beside each visualization where the filter has been added to the query. If you’d like to link together the filter widgets into a dashboard-level Query Filter see [these instructions](https://redash.io/help/user-guide/dashboards/dashboard-editing).

### 2. Limitations

Query Filters aren’t suitable for especially large data sets or query results with hundreds or thousands of distinct field values. Depending on your computer and browser configuration, excessive data can deteriorate the user experience.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.inverse.watch/user-guide/queries/query-filters.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
